<template>
  <page>
    <a-form
      @submit="handleSubmit"
    >
      <h1>Enviar notificação</h1>
      <a-form-item
        label="Título da notificação"
        class="input-icon"
        required="true"
      >
        <a-input
          v-model="title"
          placeholder="Digite o título da notificação"
          type="text"
          :maxlength="titleLimit"
        />
        <p>{{ titleLimit - title.length }} caracteres restantes</p>
      </a-form-item>

      <a-form-item
        label="Mensagem da notificação"
        class="input-icon"
        required="true"
      >
        <a-textarea
          v-model="message"
          placeholder="Digite aqui sua mensagem"
          :rows="6"
          :maxlength="messageLimit"
        />
        <p>{{ messageLimit - message.length }} caracteres restantes</p>
      </a-form-item>

      <a-form-item>
        <a-button
          html-type="submit"
          type="primary"
          class="submit-button"
        >
          Enviar
        </a-button>
      </a-form-item>
    </a-form>
  </page>
</template>

<script>
export default {
  name: 'Notifications',
  data() {
    return {
      title: '',
      message: '',
      titleLimit: 25,
      messageLimit: 255,
    };
  },
  methods: {
    handleSubmit(e) {
      e.preventDefault();
      this.$message.success('A notificação foi enviada para os usuários.');
    },
  },
};
</script>

<style lang="stylus" scoped>
.submit-button
  float right
</style>
